org.apache.nutch.indexer.solr

## Class SolrDeleteDuplicates.SolrRecord

- java.lang.Object
- - org.apache.nutch.indexer.solr.SolrDeleteDuplicates.SolrRecord

- All Implemented Interfaces:
    Writable
  Enclosing class:
    SolrDeleteDuplicates

      public static class SolrDeleteDuplicates.SolrRecord
      extends Object
      implements Writable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolrDeleteDuplicates.SolrRecord()`
    `SolrDeleteDuplicates.SolrRecord(String id, float boost, long tstamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getBoost()`
    `String` | `getId()`
    `long` | `getTstamp()`
    `void` | `readFields(DataInput in)`
    `void` | `readSolrDocument(org.apache.solr.common.SolrDocument doc)`
    `void` | `write(DataOutput out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SolrDeleteDuplicates.SolrRecord

          public SolrDeleteDuplicates.SolrRecord()

    - #### SolrDeleteDuplicates.SolrRecord

          public SolrDeleteDuplicates.SolrRecord(String id,
                                         float boost,
                                         long tstamp)

  - ### Method Detail

    - #### getId

          public String getId()

    - #### getBoost

          public float getBoost()

    - #### getTstamp

          public long getTstamp()

    - #### readSolrDocument

          public void readSolrDocument(org.apache.solr.common.SolrDocument doc)

    - #### readFields

          public void readFields(DataInput in)
                          throws IOException

      Specified by:
        `readFields` in interface `Writable`
      Throws:
        `IOException`

    - #### write

          public void write(DataOutput out)
                     throws IOException

      Specified by:
        `write` in interface `Writable`
      Throws:
        `IOException`

Copyright © 2015 The Apache Software Foundation